InspectBareMetal2Chassis
InspectBareMetal2Chassis
/zstack/v1/baremetal2/chassis/{uuid}/actionsOperation ID
InspectBareMetal2ChassisSince
4.3.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Path Parameters
uuidStringRequiredResource UUID.
Responses
200 OKOn success, this API returns the following response structure.
successbooleanRequiredWhether the operation succeeded.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
inventoryBareMetal2ChassisInventoryRequiredSee inventory.
uuidStringRequiredThe UUID of the bare metal chassis.
nameStringRequiredThe name of the bare metal chassis.
descriptionStringRequiredThe detailed description of the bare metal chassis.
zoneUuidStringRequiredThe zone UUID.
clusterUuidStringRequiredThe cluster UUID.
chassisOfferingUuidStringRequiredThe chassis offering UUID.
typeStringRequiredThe type of the protocol used to control bare metal chassis and instances.
stateStringRequiredThe state of the chassis.
statusStringRequiredThe distribution status of the chassis.
powerStatusStringRequiredThe power status of the chassis.
createDateTimestampRequiredThe time when the chassis was added to the cluster.
lastOpDateTimestampRequiredThe time when the chassis was last modified.
chassisNicsListRequiredSee chassisNics.
uuidStringRequiredThe UUID of the bare metal chassis NIC.
chassisUuidStringRequiredThe UUID of the bare metal chassis.
macStringRequiredThe MAC address of the chassis NIC.
speedStringRequiredThe data rate of the chassis NIC.
isProvisionNicBooleanRequiredIndicates whether the NIC is a provisioned NIC.
createDateTimestampRequiredThe time when the NIC was created.
lastOpDateTimestampRequiredThe time when the NIC was last modified.
chassisDisksListRequiredSee chassisDisks.
uuidStringRequiredThe UUID of the chassis disk.
chassisUuidStringRequiredThe chassis UUID.
diskSizeLongRequiredThe size of the disk storage space, in bytes.
typeStringRequiredThe type of the disk.
createDateTimestampRequiredThe time when the disk was created.
lastOpDateTimestampRequiredThe time when the disk was last modified.
chassisOfferingBareMetal2ChassisOfferingInventoryRequiredSee chassisOffering.
uuidStringRequiredThe chassis offering UUID.
nameStringRequiredThe name of the chassis offering.
descriptionStringRequiredThe detailed description of the chassis offering.
architectureStringRequiredThe CPU architecture.
cpuModelNameStringRequiredThe CPU model name.
cpuNumIntegerRequiredThe number of CPU cores.
memorySizeLongRequiredThe memory size.
bootModeStringRequiredThe boot mode.
stateStringRequiredThe state of the chassis offering.
createDateTimestampRequiredThe time when the chassis offering was created.
lastOpDateTimestampRequiredThe time when the chassis offering was last modified.
